/*
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
*/
/* 
    Created on : 2016/09/05, 20:41:59
    Author     : chida
*/

 div.tabbox { margin: 0px; padding: 0px; width: 100% }
 
p.tabs { margin: 0px; padding: 0px; }
p.tabs a {
   display: block; width: 10em; float: left;
   margin: 0px 1px 0px 0px; padding: 3px;
   text-align: center;
   border-radius: 12px 12px 0px 0px; /* 角を丸くする */
}

p.tabs a.console-ui { background-color: gray;  color: white; }
p.tabs a.loadsave-ui { background-color: gray; color:white;}
p.tabs a.main-ui { background-color: inherit; color:white;}
p.tabs a:hover { color: yellow; }

div.tab {
    overflow: auto; clear: left;
}

div#console-ui { border: 5px gray; background-color: white; }
div#loadsave-ui { border: 5px gray; background-color: white; }
div#main-ui { border: 5px gray; background-color: white }
div.tab p { margin: 0.5em; }

th{background-color: rgba(255,255,255,0.6); border: 0px; }

.WMForeGround {
    /*display       : inline-block;         /* インラインブロック化 */
    /*position      : absolute;             /* 親要素からの相対位置 */
    background-color : rgba(200, 240, 240, 0.6);
  }
   /* --- 背景透かし文字の定義 ----------------------------------*/
.WMark {
    position      : absolute;             /* 親要素からの相対位置 */
    display       : inline-block;         /* インラインブロック化 */
    white-space   : nowrap;               /* 折り返ししない       */
    font-size     : 1000%;                 /* 背景透かし文字サイズ */
    font-weight   : bold;                 /* 太字                 */
    color         : rgba(255, 102, 255, 0.8); /* 背景透かし文字色     */
                                          /* 中心寄せ＆角度       */
    top           : 50%;
    left          : 10%;
    transform     : rotate(315deg);
  }


/* jqconsoleの設定 */
#main-ui-console {
 
  position: absolute;
  /*
    width: 400px;
    height: 500px;
  */
    background-color:black;
  }
  /* The inner console element. */
  .jqconsole {
      font-size: 14pt;
      padding: 2pt;
  }
  /* The cursor. */
  .jqconsole-cursor {
      background-color: lightgray;
  }
  /* The cursor color when the console looses focus. */
  .jqconsole-blurred .jqconsole-cursor {
      background-color: #666;
  }
  /* The current prompt text color */
  .jqconsole-prompt {
      color: #0d0;
  }
  /* The command history */
  .jqconsole-old-prompt {
      color: #0b0;
      font-weight: normal;
  }
  /* The text color when in input mode. */
  .jqconsole-input {
      color: #dd0;
  }
  /* Previously entered input. */
  .jqconsole-old-input {
      color: #bb0;
      font-weight: normal;
  }
  /* The text color of the output. */
  .jqconsole-header {
      color: greenyellow;
  }
  .jqconsole-output {
      color: white;
  }
  .jqconsole-warning {
    color: red;
  }
  
.jqconsole-ansi-bold {
  font-weight: bold!important;
}

.jqconsole-ansi-lighter {
  font-weight: lighter!important;
}

.jqconsole-ansi-italic {
  font-style: italic!important;
}

.jqconsole-ansi-underline {
  text-decoration: underline!important;
}

@keyframes blinker {  
  from { opacity: 1.0; }
  to { opacity: 0.0; }
}

@-moz-keyframes blinker {  
  from { opacity: 1.0; }
  to { opacity: 0.0; }
}

@-ms-keyframes blinker {  
  from { opacity: 1.0; }
  to { opacity: 0.0; }
}

@-o-keyframes blinker {  
  from { opacity: 1.0; }
  to { opacity: 0.0; }
}

.jqconsole-ansi-blink {
  animation-name: blinker;
  -moz-animation-name: blinker;
  -ms-animation-name: blinker;
  -o-animation-name: blinker;
  animation-iteration-count: infinite;
  -moz-animation-iteration-count: infinite;
  -ms-animation-iteration-count: infinite; 
  -o-animation-iteration-count: infinite; 
  animation-timing-function: cubic-bezier(1.0,0,0,1.0);
  -ms-animation-timing-function: cubic-bezier(1.0,0,0,1.0);
  -o-animation-timing-function: cubic-bezier(1.0,0,0,1.0);
  -moz-animation-timing-function: cubic-bezier(1.0,0,0,1.0);
  animation-duration: 1s; 
  -moz-animation-duration: 1s;
  -o-animation-duration: 1s;
  -ms-animation-duration: 1s;
  color: white;
}

.jqconsole-ansi-blink-rapid {
  animation-name: blinker;
  -moz-animation-name: blinker;
  -ms-animation-name: blinker;
  -o-animation-name: blinker;
  animation-iteration-count: infinite;
  -moz-animation-iteration-count: infinite;
  -ms-animation-iteration-count: infinite; 
  -o-animation-iteration-count: infinite; 
  animation-timing-function: cubic-bezier(1.0,0,0,1.0);
  -ms-animation-timing-function: cubic-bezier(1.0,0,0,1.0);
  -o-animation-timing-function: cubic-bezier(1.0,0,0,1.0);
  -moz-animation-timing-function: cubic-bezier(1.0,0,0,1.0);
  animation-duration: 0.5s; 
  -moz-animation-duration: 0.5s;
  -o-animation-duration: 0.5s;
  -ms-animation-duration: 0.5s; 
}


.jqconsole-ansi-hidden {
  visibility:hidden!important;
}

.jqconsole-ansi-line-through {
  text-decoration: line-through;
}
/*
.jqconsole-ansi-fonts-1 {
  
}
.jqconsole-ansi-fonts-2 {
  
}
.jqconsole-ansi-fonts-3 {
  
}
.jqconsole-ansi-fonts-4 {
  
}
.jqconsole-ansi-fonts-5 {
  
}
.jqconsole-ansi-fonts-6 {
  
}
.jqconsole-ansi-fonts-7 {
  
}
.jqconsole-ansi-fonts-8 {
  
}
.jqconsole-ansi-fonts-9 {
  
}

.jqconsole-ansi-fraktur {
  
}
*/

.jqconsole-ansi-color-black {
  color: black!important;
}
.jqconsole-ansi-color-red {
  color: red!important;
}
.jqconsole-ansi-color-green {
  color: green!important;
}
.jqconsole-ansi-color-yellow {
  color: yellow!important;
}
.jqconsole-ansi-color-blue {
  color: blue!important;
}
.jqconsole-ansi-color-magenta {
  color: magenta!important;
}
.jqconsole-ansi-color-cyan {
  color: cyan!important;
}
.jqconsole-ansi-color-white {
  color: white!important;
}

.jqconsole-ansi-background-color-black {
  background-color: black!important;
}
.jqconsole-ansi-background-color-red {
  background-color: red!important;
}
.jqconsole-ansi-background-color-green {
  background-color: green!important;
}
.jqconsole-ansi-background-color-yellow {
  background-color: yellow!important;
}
.jqconsole-ansi-background-color-blue {
  background-color: blue!important;
}
.jqconsole-ansi-background-color-magenta {
  background-color: magenta!important;
}
.jqconsole-ansi-background-color-cyan {
  background-color: cyan!important;
}
.jqconsole-ansi-background-color-white {
  background-color: white!important;
}

.jqconsole-ansi-framed {
  border: 1px solid!important;
}
.jqconsole-ansi-overline {
  text-decoration: overline!important;
}